Bug 127061 - Make zlib configure detection work on FreeBSD
Summary: Make zlib configure detection work on FreeBSD
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: New Bugs (show other bugs)
Version: 528+ (Nightly build)
Hardware: PC Other
: P2 Normal
Assignee: Nobody
URL:
Keywords:
Depends on:
Blocks: 128598
  Show dependency treegraph
 
Reported: 2014-01-15 12:52 PST by Koop Mast
Modified: 2014-02-27 05:43 PST (History)
3 users (show)

See Also:


Attachments
Add fallback to manual check for zlib, if no zlib pkg-config file is available. (1015 bytes, patch)
2014-01-15 12:52 PST, Koop Mast
no flags Details | Formatted Diff | Diff
Updated patch to fix style problem in Changelog. (1.04 KB, patch)
2014-01-18 06:47 PST, Koop Mast
gns: review+
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Koop Mast 2014-01-15 12:52:56 PST
Created attachment 221296 [details]
Add fallback to manual check for zlib, if no zlib pkg-config file is available.

The zlib supplied with FreeBSD doesn't have a pkg-config file.
Comment 1 WebKit Commit Bot 2014-01-15 12:55:22 PST
Attachment 221296 [details] did not pass style-queue:

Failed to run "['Tools/Scripts/check-webkit-style', '--diff-files', u'ChangeLog', u'Source/autotools/FindDependencies.m4', '--commit-queue']" exit_code: 1
ERROR: ChangeLog:1:  ChangeLog entry has no bug number  [changelog/bugnumber] [5]
Total errors found: 1 in 2 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 2 Koop Mast 2014-01-18 06:47:55 PST
Created attachment 221545 [details]
Updated patch to fix style problem in Changelog.
Comment 3 Alberto Garcia 2014-02-27 05:32:09 PST
(In reply to comment #2)
> Created an attachment (id=221545) [details]
> Updated patch to fix style problem in Changelog.

lgtm
Comment 4 Alberto Garcia 2014-02-27 05:43:35 PST
Committed r164796: <http://trac.webkit.org/changeset/164796>